package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.entity.BaseAction;

import java.util.List;
import java.util.Set;

/**
 * @Description: 系统资源-功能操作
 * @author： pds
 * @date：   2020-10-27
 * @version： V1.0
 */
public interface IBaseActionService extends IService<BaseAction> {

    /**
     * 查询菜单下所有操作
     *
     * @param menuId
     * @return
     */
    List<BaseAction> findListByMenuId(String menuId);

    Set<String> getMenuCode(String menuId);

    void addBaseAction(BaseAction baseAction);

    void editBaseAction(BaseAction baseAction);

    void deleteBaseAction(String actionId);
}
